Network Automation Software We are currently migrating this forum
over to our HelpSystems domain. Please
post all new threads in our new
HelpSystems Community Portal.
Post to the HelpSystems Forum
You are not currently logged on. You must be logged on in order to post. Log on
Or Create a new account
AutoMate Discussion
Decrease font size
Increase font size
Topic Title: Installatiion error on windows server 2016 core
Topic Summary: MDAC Error on Installation
Created On: 04/05/2018 08:58 AM
Status: Read Only
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 04/05/2018 08:58 AM
User is offline View Users Profile Print this message

Author Icon
TimoCordes
Apprentice (20-49)

Posts: 35
Joined: 04/12/2016

Hi Guys, i tried to installe AE on a Windows Server 2016 in core mode. In the middle after the configuration and the start of the Installation i got an error that there is an Problem with MDAC 2.7 (please find attached a screenshot).

Regards
Timo

Click for full image
Click for larger image

 04/05/2018 02:10 PM
User is offline View Users Profile Print this message

Author Icon
Hamid Noorbakhsh
HelpSystems

Posts: 454
Joined: 07/29/2008

Timo,
MDAC 2.7 - This component is 20 yrs old and I think SQL Express install bundled with our software, from Microsoft, might be using it somehow. I suggest you get the latest MDAC and install it (since Core might not contain necessary components) and try again. I just want to mention that is just a suggestion and it is not tested. The Window component you posted is so old that it does not even support unicode and hence the ????. I have attached a readable version I saw by just doing a search on MDAC on internet.

Click for full image
Click for larger image



-------------------------
Thank you for choosing AutoMate

Hamid Noorbakhsh | Senior Software Engineer
AutoMate | A Division of HelpSystems
HelpSystems, LLC | T: +1.213.738.1700

Edited: 04/05/2018 at 03:05 PM by Hamid Noorbakhsh
 04/05/2018 11:47 PM
User is offline View Users Profile Print this message

Author Icon
TimoCordes
Apprentice (20-49)

Posts: 35
Joined: 04/12/2016

Hi Hamid,

That was my first move to install MDAC (2.8 sp1) on the Core System. But the MDAC package ins't installable on the Windows 2016 Server. I didn't use the express Installation. On the System is a SQL 2016 Server that i tried to use.

Regards
Timo
 04/06/2018 07:14 AM
User is offline View Users Profile Print this message

Author Icon
TimoCordes
Apprentice (20-49)

Posts: 35
Joined: 04/12/2016

Okay Guys,

I tried several testings:

i installed:
- Access Database Engine x32/x64
- msodbcsql x32/x64
- SQL_as_ADOMD x32/x64
- SQL_as_AMO x32/x64
- SQL_as_OLEDB x32/x64

So nearly all components that MDAC contains was installed.
Still the the same error. After that i tried the express Installation with the SQL Express: Same error on installation. Looks like that your W2K16 Support is not complete or in your requirements list is something missing.

Regards
Timo
 04/06/2018 08:09 AM
User is offline View Users Profile Print this message

Author Icon
Hamid Noorbakhsh
HelpSystems

Posts: 454
Joined: 07/29/2008

Timo,
Well since the Core System could be missing some components (or their dependencies). If you tried to install just the SQL Express Standalone, did that work? I do not have the access to the OS or bandwidth at this time to try it and hate to ask you to try it and use your time. I will mark it in our system to be tested, but this does not give you a working solution. I do believe the installer also might be using MDAC when you try to configure a custom DB connection, but going with express install you have tried to bypass that I would think. Well I am scratching my head here, will try to give this a go if I get some bandwidth myself. We either have to update the requirements or find out what packages need to be installed prior to Automate.

-------------------------
Thank you for choosing AutoMate

Hamid Noorbakhsh | Senior Software Engineer
AutoMate | A Division of HelpSystems
HelpSystems, LLC | T: +1.213.738.1700
 04/12/2018 06:52 AM
User is offline View Users Profile Print this message

Author Icon
TimoCordes
Apprentice (20-49)

Posts: 35
Joined: 04/12/2016

Hi Hamid, yes i tried the Installation of SQL Express alone. The Installation works fine. I checked a lot of cases on Google and my opinion is that you use any deprecated VB components in your Installation. I stopped this testing and installed the Server new with Windows Server 2016 with GUI. That works. Please update your System Requirements / OS Support and remove Windows Server 2016 Core.

Thanks

Regards
Timo
 04/13/2018 03:17 PM
User is offline View Users Profile Print this message

Author Icon
Hamid Noorbakhsh
HelpSystems

Posts: 454
Joined: 07/29/2008

Hello Timo,
I am going to have bandwidth for testing this on Windows 2016 Core, and I saw you had entries on other threads about installed Automate Enterprise. Did you successfully install on Windows 2016 Core, and if yes could you share the solution.
If you were not successful and chose a different OS, then it's fine, I will still have to investigate the issue on our end if it still exists.

Thanks in advance for your time.

-------------------------
Thank you for choosing AutoMate

Hamid Noorbakhsh | Senior Software Engineer
AutoMate | A Division of HelpSystems
HelpSystems, LLC | T: +1.213.738.1700
 04/17/2018 07:02 AM
User is offline View Users Profile Print this message

Author Icon
TimoCordes
Apprentice (20-49)

Posts: 35
Joined: 04/12/2016

Hi hamid,

No i had no luck. I installed it on window Server 2016 with GUI.

Regards
Timo
 04/17/2018 08:30 AM
User is offline View Users Profile Print this message

Author Icon
Hamid Noorbakhsh
HelpSystems

Posts: 454
Joined: 07/29/2008

Thanks Timo,
I ran the install also after extracting the msi and ran the log also. I got the same exact thing you got, but now I also have a log file of the install. We have to look into this and see if this is something that we have to change our installer for OR if it is something that we can remedy without change in installer (installing requirements, etc).

I am entering this as an issue in our bug tracking system to be addressed shortly. #24072

-------------------------
Thank you for choosing AutoMate

Hamid Noorbakhsh | Senior Software Engineer
AutoMate | A Division of HelpSystems
HelpSystems, LLC | T: +1.213.738.1700
Statistics
18258 users are registered to the AutoMate Discussion forum.
There are currently 0 users logged in.
The most users ever online was 5551 on 01/08/2018 at 11:11 AM.
There are currently 1034 guests browsing this forum, which makes a total of 1034 users using this forum.

FuseTalk Enterprise Edition v4.0 - © 1999-2019 FuseTalk Inc. All rights reserved.

Sitemap Network Automation Software Blog